<?php

namespace Lc\ShopBundle\Repository;

use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\ReductionCatalogInterface;

/**
 * @method ReductionCatalogInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method ReductionCatalogInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method ReductionCatalogInterface[]    findAll()
 * @method ReductionCatalogInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class ReductionCatalogRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return ReductionCatalogInterface::class;
        }

}
